Last Comment Bug 476673 - documentation of key shortcuts doesn't correspond with reality
: documentation of key shortcuts doesn't correspond with reality
Status: RESOLVED FIXED
: fixed-seamonkey2.0.6
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Arun Prasannan (polar)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 10:14 PST by Matěj Cepl
Modified: 2010-05-05 15:35 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Correct shortcuts for moving to beginning/end [Checkin: Comment 7 + 8] (653 bytes, patch)
2009-02-19 12:07 PST, Arun Prasannan (polar)
iann_bugzilla: review+
iann_bugzilla: approval‑seamonkey2.0.6+
iann_bugzilla: approval‑seamonkey2.1a1+
Details | Diff | Splinter Review

Description Matěj Cepl 2009-02-03 10:14:27 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.19) Gecko/20090108 Fedora/1.1.14-4.fc10 SeaMonkey/1.1.14
Build Identifier: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.19) Gecko/20090108 Fedora/1.1.14-4.fc10 SeaMonkey/1.1.14

(originally filed as https://bugzilla.redhat.com/show_bug.cgi?id=483707)

In "Help Contents",it says:
  General SeaMonkey Shortcuts:
    Move to beginning of line (in a text editing field): Alt+A
    Move to end of line (in a text editing field): Ctrl+E
  Composer Shortcuts:
    Discontinue Text Styles: Ctrl+Shift+T
    Discontinue Link: Ctrl+Shift+K
But they all don't work actually.

Reproducible: Always

Steps to Reproduce:
1. use these key shortcuts
2.
3.
Actual Results:  
Alt+A:select all
Ctrl+E:Launch composer
Ctrl+Shift+T:No change
Ctrl+Shift+K:Chck spelling

Expected Results:  
help corresponds with reality
Comment 1 Stefan [:stefanh] 2009-02-03 10:43:28 PST
Just to clarify: you're using Alt+A and Ctrl+E while you have focus in a textfield (like when your adding a comment in this bug)?
Comment 2 Matěj Cepl 2009-02-03 22:23:17 PST
(In reply to comment #1)
> Just to clarify: you're using Alt+A and Ctrl+E while you have focus in a
> textfield (like when your adding a comment in this bug)?

Yes, exactly.
Comment 3 Serge Gautherie (:sgautherie) 2009-02-10 08:32:13 PST
Can you reproduce with SeaMonkey v2.0a2 / current v2.0a3pre ?
Comment 4 Arun Prasannan (polar) 2009-02-19 11:52:28 PST
* Move to beginning of line (in a text editing field) is marked as Ctrl+A -- nevertheless the actual behaviour is same (select all).
* Also confirm Ctrl+E launches editor
* Ctrl+Shift+T -- no action (I'm not sure what it is meant to do)
* Ctrl+Shift+K brings up the spell checker in 1.1.14, but works as expected in trunk
Comment 5 Arun Prasannan (polar) 2009-02-19 12:07:43 PST
Created attachment 363169 [details] [diff] [review]
Correct shortcuts for moving to beginning/end [Checkin: Comment 7 + 8]
Comment 6 Ian Neal 2010-05-05 14:47:42 PDT
Comment on attachment 363169 [details] [diff] [review]
Correct shortcuts for moving to beginning/end [Checkin: Comment 7 + 8]

r=me a-SM2.0.6/2.1a1=me too
Comment 7 Ian Neal 2010-05-05 15:24:13 PDT
Comment on attachment 363169 [details] [diff] [review]
Correct shortcuts for moving to beginning/end [Checkin: Comment 7 + 8]

Trunk checkin - http://hg.mozilla.org/comm-central/rev/8b68fadfc245
Comment 8 Ian Neal 2010-05-05 15:34:41 PDT
Comment on attachment 363169 [details] [diff] [review]
Correct shortcuts for moving to beginning/end [Checkin: Comment 7 + 8]

SM2.0.x branch checkin - http://hg.mozilla.org/releases/comm-1.9.1/rev/a5ab98ca4db6

Note You need to log in before you can comment on or make changes to this bug.